Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Class QualityImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.BelongingImpl
            |
            +--com.beasys.commerce.axiom.units.QualityImpl

public class QualityImpl
extends BelongingImpl
implements Quality, java.lang.Cloneable

Represents a Quality that can be had or desired. It contains a string which describes the quality and a factor ( typically from 1 to 100 ) that describes the degree to which the product posesses the quality or the desirablility of the quality.

See Also:
  `Quality`, `QualityHome`, Serialized Form

Field Summary
`int` | `degree` The degree from, typically from 1 - 100 , to which the item represents the quality: Example include: quality is red, if the item is red the degree is 100.
`java.lang.String` | `name` The word(s) that describes this quality.

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`QualityImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare this belonging to another
`int` | `getDegree()` Get the value of degree
`java.lang.String` | `getName()` Get the value of name
`java.lang.String` | `interfaceName()` interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Belonging value)` It is possible to call set-by-value with a superclass.
`void` | `setDegree(int degree)` Set the value of degree
`void` | `setName(java.lang.String name)` Set the value of name
`Belonging` | `value()` value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### degree

    public int degree

  The degree from, typically from 1 - 100 , to which the item represents the quality: Example include: quality is red, if the item is red the degree is 100. If not it is 0. qualities of a book could include romantic. If the book is only mildly romantic the degree might be 10. If it is a romance novel the rating would be 100.
  - Containment: By Value
  - Multiplicity: 1:1

### name

    public java.lang.String name

  The word(s) that describes this quality. Examples include: red median income > 50000 romantic country western
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### QualityImpl

    public QualityImpl()

Method Detail

### getDegree

    public int getDegree()

  Get the value of degree
  Specified by:
    getDegree in interface Quality

  Returns:
    degree.

### setDegree

    public void setDegree(int degree)

  Set the value of degree
  Specified by:
    setDegree in interface Quality

  Parameters:
    `degree` - degree to be added

### getName

    public java.lang.String getName()

  Get the value of name
  Specified by:
    getName in interface Quality

  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Specified by:
    setName in interface Quality

  Parameters:
    `name` - name to be added

### value

    public Belonging value()

  value() is a more typesafe implementation of clone()

  Returns:
    a clone of this instance

### interfaceName

    public java.lang.String interfaceName()

  interfaceName() returns the unqualified name of the interface from the UML model

  Returns:
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Overrides:
    setByValue in class BelongingImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Compare this belonging to another

  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal
  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved